import mysql.connector

def guardar_enlace_en_bd(cadena):
    try:
        # Conexión a la base de datos
        conexion = mysql.connector.connect(
            host="localhost",
            user="thread4",
            password="1234",
            database="thread4"
        )
        
        cursor = conexion.cursor()
        
        # Consulta para insertar la cadena
        consulta = "INSERT IGNORE INTO enlaces (enlace) VALUES (%s)"
        cursor.execute(consulta, (cadena,))
        
        # Confirmar la transacción
        conexion.commit()
        
        print("Cadena guardada exitosamente.")
        
    except mysql.connector.Error as err:
        print(f"Error: {err}")
        
    finally:
        if conexion.is_connected():
            cursor.close()
            conexion.close()

